Issue 16036 - Animations in Macromedia Flash Export
Summary: Animations in Macromedia Flash Export
Status: ACCEPTED
Alias: None
Product: Impress
Classification: Application
Component: code (show other issues)
Version: OOo 1.1 Beta2
Hardware: PC All
: P3 Trivial with 127 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 36930 47399 83510 (view as issue list)
Depends on:
Blocks:
 
Reported: 2003-06-24 23:11 UTC by mkirchhof
Modified: 2013-08-07 15:21 UTC (History)
14 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description mkirchhof 2003-06-24 23:11:22 UTC
Animations within slides are not exported to flash. Transition to kind of 
movie, instead of snapshot would be very nice.
Comment 1 wolframgarten 2003-06-25 08:17:51 UTC
Reassinged to Christian.
Comment 2 christian.guenther 2003-07-02 09:26:14 UTC
Set to new
Comment 3 christian.guenther 2003-07-02 09:45:42 UTC
Hi Christian I think this is one for Augustus.
Comment 4 clippka 2003-07-03 12:36:30 UTC
augustus, I think this is on your list
Comment 5 patrick 2003-07-14 19:40:16 UTC
Very good ! Impress like Viewletbuilder (qarbon.com) .... very nice
for tutorial, teacher, etc.
Comment 6 augustus.saunders 2004-02-23 07:28:24 UTC
A substantial amount of work has already taken place, and it is quite usable.  I
don't know when it will be available as part of a developer release, though. 
Anybody care to clarify?
Comment 7 rk 2004-03-22 10:30:42 UTC
Just curious, any word yet as to when it might be included in a developer snapshot??
Comment 8 Martin Hollmichel 2004-12-07 13:36:21 UTC
mh->asaunders: this sounds to me as if this issue already got fixed and we can
mark this issue as resolved. can you confirm this ?
Comment 9 jasoncmcg 2004-12-08 00:22:53 UTC
After creating a rotating 3d object and verifying the object visually, I
attempted to export it.  When, exporting to flash the object was not animated.  

The second test performed was inserting slide transitions.  These verified
visually as a slideshow.  However, they also would not export into the flash format.

This test was performed using the 1.9.62.
Comment 10 Martin Hollmichel 2005-01-13 11:57:29 UTC
as clarified with augustus reset target and Prio to OOo Please Help/P3 due to
resource constraints.
Comment 11 stp 2005-08-16 15:07:30 UTC
*** Issue 36930 has been marked as a duplicate of this issue. ***
Comment 12 seballa 2005-11-26 12:55:22 UTC
has there been any progress on this feature? 

And by the way, is it even possible to integrate this feature with an appropriat
amount of time? I can imagine that this is not a piece of cake!

Greets Seballa
Comment 13 aziem 2006-10-31 16:00:06 UTC
*** Issue 47399 has been marked as a duplicate of this issue. ***
Comment 14 auberger 2006-11-29 10:20:04 UTC
This feature request is now more than three years old and has currently 40
votes. It's hard to notice any progress and I was wondering if we can expect
this feature to be integrated in OOo in a foreseeable timeframe?
Comment 15 czeadmin 2007-01-06 13:41:35 UTC
It is my hope that this feature request includes more functionality that just
transitions and animations...

Flash video and sound along with control buttons would be wonderful as well!

Two of my coveted votes for this 3 1/2 year old issue.   - Ron
Comment 16 gguldens 2007-05-30 00:30:58 UTC
I have a 20 slide presentation that includes animations on pretty much all
slides and has a timed slide transition.  None of the animations are functioning
on any slides and the timed transitions seem to have been translated into mouse
click transitions.  I am running OO 2.2.

As a side note, any type of a save or export into something like an animated GIF
would be acceptable until a full blown Flash export could become a reality.  I
am happy to share / test any code using my presentation to assist in the
development effort.

gguldens   -- greg@gguldens.org
Comment 17 eusabia 2007-09-25 12:06:55 UTC
Hi,

Has this issue been solved?

Thanks.
Comment 18 eusabia 2007-09-25 12:45:45 UTC
Hi,

Has this issue been solved?

Thanks.
Comment 19 gerymate 2008-09-10 00:21:35 UTC
It would be favorable if SWF export worked with free Flash players like GNASH
(http://www.gnu.org/software/gnash/) and SWFdec
(http://swfdec.freedesktop.org/). These tools could also support development due
to their extensive debugging services.
Comment 20 gerymate 2009-03-31 12:31:16 UTC
I think the technique I described in issue 61613 for a possible way to export
Impress slides can be useful here also. The basic idea is to export Impress
objects as bitmap images (scaled to a rational size at export time), so
exporting slide structure becomes possible that way. This could be the
foundations of implementing animation is exported Flash files.

Because the GNASH Flash player is highly developed by now, it can be a good
platform for OOo's Flash-export development, as it allows completely automated
tests to run.
Comment 21 nikuehn 2009-03-31 13:36:25 UTC
@gerymate : I do not think using bitmaps is a good idea, especially for slides.
The current SWF export is vector-based (try "enlarge" in the flash player's
context menu), which is much more size efficient and allows scaling in the
client without loss in quality (most slide content is "line art"). 
IMHO, both size and scalability are fairly important aspects when exporting
something for the web.  

Generally, I share your opinion that the long term web export should rather be a
javascript+html approach, but that's quite a road to travel if you want to
support all Impress Features in all browsers with smooth animations and
pixel-perfect rendering. (maybe the Acid2 test, especially the "fluid animation"
part,  is a good indicator whether browsers are ready to serve as a
pixel-perfect presentation renderer. )
Comment 22 pierrepo 2009-04-20 10:15:30 UTC
Hi,
I wonder if these "issues" should not be regrouped in only one.

http://qa.openoffice.org/issues/show_bug.cgi?id=20808
http://qa.openoffice.org/issues/show_bug.cgi?id=24661
Comment 23 ranakamleh 2010-02-24 16:10:13 UTC
s
Comment 24 clippka 2010-06-10 15:33:54 UTC
*** Issue 83510 has been marked as a duplicate of this issue. ***
Comment 25 Rob Weir 2013-07-30 02:16:57 UTC
Reset assignee on issues not touched by assignee in more than 2000 days.